Subject: Re: [decade] Start of WGLC for draft-ietf-decade-survey-03

From: "Woundy, Richard" <[email-masked]>
Date: Fri, 28 Jan 2011 14:37:41 +0000

Below are my personal comments on the DECADE Survey draft. Please do not make any changes to the draft at this time; I would like the authors to incorporate these comments after WGLC.

Should the name of section 4.4 be "Content Delivery Network" instead of "CDN"? The other sections in this part of the draft use full names in the section titles.

Section 4.7 (Network of Information) uses the URL http://123.345.678.90/informaionobject.txt. First, '123.345.678.90' doesn't look like a legitimate IP address; is it supposed to be? If so, could a better IP address be found? If you don't need an IP address here, you might want to consider using a RFC2606-compliant FQDN instead. Also, should the resource be called 'informationobject.txt' (with a 't')?

Mispelled words identified from the Idspell Tool, http://tools.ietf.org/tools/idspell/webservice.

Section 4. s/architecutres<http://google.com/search?q=define:architecutres>/architectures
Section 4.1.1. s/hierarchichal<http://google.com/search?q=define:hierarchichal>/hierarchical
Section 4.4.1. s/existance<http://google.com/search?q=define:existance>/existence
Section 4.6.1. s/sysem<http://google.com/search?q=define:sysem>/system
Section 4.8.1. s/sysem<http://google.com/search?q=define:sysem>/system
Section 4.8.5. s/nework<http://google.com/search?q=define:nework>/network
Section 4.9.1. s/sysem<http://google.com/search?q=define:sysem>/system
Section 4.9.5. s/avaialable<http://google.com/search?q=define:avaialable>/available
Section 4.10. s/mulitmedia<http://google.com/search?q=define:mulitmedia>/multimedia
Section 4.11.1. s/existance<http://google.com/search?q=define:existance>/existence
Section 4.13.1. s/existance<http://google.com/search?q=define:existance>/existence
Section 4.14. s/primitves<http://google.com/search?q=define:primitves>/primitives
Section 5.5.4. s/beyon<http://google.com/search?q=define:beyon>/beyond
Section 5.6. s/classicaly<http://google.com/search?q=define:classicaly>/classically, s/capabilites<http://google.com/search?q=define:capabilites>/capabilities
Section 6. s/desgined<http://google.com/search?q=define:desgined>/designed

>From idnits, http://tools.ietf.org/tools/idnits/

idnits 2.12.05

tmp/draft-ietf-decade-survey-03.txt:
tmp/draft-ietf-decade-survey-03.txt(294): Found possible FQDN 'www.wikipedia.org' in position 27; this doesn't match RFC 2606's suggested ".example" or ".example.(com|org|net)".

[Rich - this might be OK as the particular website is the example. But it might make more sense to refer to Wikipedia as a service, instead of www.wikipedia.org<http://www.wikipedia.org> as a website.]

  Checking boilerplate required by RFC 5378 and the IETF Trust (see
  http://trustee.ietf.org/license-info):
  ----------------------------------------------------------------------------

     No issues found here.

  Checking nits according to http://www.ietf.org/id-info/1id-guidelines.txt:
  ----------------------------------------------------------------------------

     No issues found here.

  Checking nits according to http://www.ietf.org/id-info/checklist :
  ----------------------------------------------------------------------------

  == There are 1 instance of lines with non-RFC2606-compliant FQDNs in the
     document.

  Miscellaneous warnings:
  ----------------------------------------------------------------------------

  -- The document date (January 18, 2011) is 6 days in the past.  Is this
     intentional?

[Rich - ignore this.]

  Checking references for intended status: Informational
  ----------------------------------------------------------------------------

  == Outdated reference: A later version (-02) exists of
     draft-ietf-decade-problem-statement-01

[Rich - please fix this. Since the problem statement is also going through WGLC, let's coordinate this change. It may make sense to change to version -03.]

     Summary: 0 errors (**), 2 warnings (==), 1 comment (--).
--------------------------------------------------------------------------------

-- Rich

From: Woundy, Richard
Sent: Friday, January 28, 2011 9:28 AM
To: [email-masked]
Cc: Songhaibin; Woundy, Richard
Subject: Start of WGLC for draft-ietf-decade-survey-03

Folks,

Haibin and I are starting the working group last call for draft-ietf-decade-survey-03, http://datatracker.ietf.org/doc/draft-ietf-decade-survey/, to be completed by Monday February 14. Please send all concerns, suggestions and comments about this internet-draft to the DECADE mailing list, [email-masked]<mailto:[email-masked]>.

Authors, please do not make any additional changes to the internet-draft unless directed by the WG chairs.

Draft reviewers, it would be helpful to get your confirmation that your previous review comments have been correctly reflected in this version.

Thanks.

-- Rich and Haibin

---

From: "Woundy, Richard" <[email-masked]>
Date: Fri, 28 Jan 2011 14:28:24 +0000

Folks,

Thanks.

-- Rich and Haibin

---

From: Ben Niven-Jenkins <[email-masked]>
Date: Fri, 28 Jan 2011 15:59:59 +0000

On 28 Jan 2011, at 14:37, Woundy, Richard wrote:
> Section 4.7 (Network of Information) uses the URLhttp://123.345.678.90/informaionobject.txt. First, ‘123.345.678.90’ doesn’t look like a legitimate IP address; is it supposed to be? If so, could a better IP address be found? If you don’t need an IP address here, you might want to consider using a RFC2606-compliant FQDN instead. Also, should the resource be called ‘informationobject.txt’ (with a ‘t’)?

If you're going to use an IP address I'd strongly suggest picking one from one of the reserved for documentation blocks listed in rfc5737.

Ben

---

From: "Rahman, Akbar" <[email-masked]>
Date: Sat, 29 Jan 2011 10:22:16 -0500

Hi Ben,

Yes, we agree that our current example needs to be changed.  We propose
to make the change in section 4.7 as follows:

FROM:
   In today's network the information objects are named relative to the
       hosts they are stored on (e.g.,
http://123.345.678.90/informaionobject.txt).

TO:
   In today's network the information objects are named relative to the
   hosts they are stored on (e.g.
http://www.example.com/information-object.txt).

Does this address your concern?

Sincerely,

Akbar

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf
Of Ben Niven-Jenkins
Sent: Friday, January 28, 2011 11:00 AM
To: Woundy, Richard
Cc: [email-masked]
Subject: Re: [decade] Start of WGLC for draft-ietf-decade-survey-03

On 28 Jan 2011, at 14:37, Woundy, Richard wrote:
> Section 4.7 (Network of Information) uses the
URLhttp://123.345.678.90/informaionobject.txt. First, '123.345.678.90'
doesn't look like a legitimate IP address; is it supposed to be? If so,
could a better IP address be found? If you don't need an IP address
here, you might want to consider using a RFC2606-compliant FQDN instead.
Also, should the resource be called 'informationobject.txt' (with a
't')?

If you're going to use an IP address I'd strongly suggest picking one
from one of the reserved for documentation blocks listed in rfc5737.

Ben

_______________________________________________
decade mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/decade

---

From: "Rahman, Akbar" <[email-masked]>
Date: Sat, 29 Jan 2011 10:34:40 -0500

Hi Rich,

Thanks for your comments.  We will until after the WGLC to make the
changes as per your direction.  In the meantime, please see below for my
feedback (identified by "*** AKBAR: Comment answer. ****") to your
comments.

Sincerely,

Akbar

From: [email-masked] [mailto:[email-masked]] On Behalf
Of Woundy, Richard
Sent: Friday, January 28, 2011 9:38 AM
To: [email-masked]
Subject: Re: [decade] Start of WGLC for draft-ietf-decade-survey-03

Below are my personal comments on the DECADE Survey draft. Please do not
make any changes to the draft at this time; I would like the authors to
incorporate these comments after WGLC.

*** AKBAR: Okay we will wait until after the WGLC before making any
changes to the draft ****

Should the name of section 4.4 be "Content Delivery Network" instead of
"CDN"? The other sections in this part of the draft use full names in
the section titles.

*** AKBAR: Okay.  (We will leave the titles of section 5 as is because
they are names of protocols.) ****

Section 4.7 (Network of Information) uses the URL
http://123.345.678.90/informaionobject.txt. First, '123.345.678.90'
doesn't look like a legitimate IP address; is it supposed to be? If so,
could a better IP address be found? If you don't need an IP address
here, you might want to consider using a RFC2606-compliant FQDN instead.
Also, should the resource be called 'informationobject.txt' (with a
't')?

*** AKBAR: Okay.  Please see my answer to Ben Niven-Jenkins for our
proposed change. **** 

Mispelled words identified from the Idspell Tool,
http://tools.ietf.org/tools/idspell/webservice.

*** AKBAR: Thanks for catching these typos!  We definitely have to use
this tool next time. ****

Section 4. s/architecutres
<http://google.com/search?q=define:architecutres> /architectures

Section 4.1.1. s/hierarchichal
<http://google.com/search?q=define:hierarchichal> /hierarchical

Section 4.4.1. s/existance <http://google.com/search?q=define:existance>
/existence

Section 4.6.1. s/sysem <http://google.com/search?q=define:sysem> /system

Section 4.8.1. s/sysem <http://google.com/search?q=define:sysem> /system

Section 4.8.5. s/nework <http://google.com/search?q=define:nework>
/network

Section 4.9.1. s/sysem <http://google.com/search?q=define:sysem> /system

Section 4.9.5. s/avaialable
<http://google.com/search?q=define:avaialable> /available

Section 4.10. s/mulitmedia
<http://google.com/search?q=define:mulitmedia> /multimedia

Section 4.11.1. s/existance
<http://google.com/search?q=define:existance> /existence

Section 4.13.1. s/existance
<http://google.com/search?q=define:existance> /existence

Section 4.14. s/primitves <http://google.com/search?q=define:primitves>
/primitives

Section 5.5.4. s/beyon <http://google.com/search?q=define:beyon> /beyond

Section 5.6. s/classicaly <http://google.com/search?q=define:classicaly>
/classically, s/capabilites
<http://google.com/search?q=define:capabilites> /capabilities

Section 6. s/desgined <http://google.com/search?q=define:desgined>
/designed

idnits 2.12.05 

tmp/draft-ietf-decade-survey-03.txt(294): Found possible FQDN
'www.wikipedia.org' in position 27; this doesn't match RFC 2606's
suggested ".example" or ".example.(com|org|net)".

[Rich - this might be OK as the particular website is the example. But
it might make more sense to refer to Wikipedia as a service, instead of
www.wikipedia.org as a website.]

*** AKBAR: Okay, we will just refer to "Wikipedia" as a service. ****

------------------------------------------------------------------------
----

     No issues found here.

  Checking nits according to
http://www.ietf.org/id-info/1id-guidelines.txt:

------------------------------------------------------------------------
----

     No issues found here.

------------------------------------------------------------------------
----

  == There are 1 instance of lines with non-RFC2606-compliant FQDNs in
the

     document.

  Miscellaneous warnings:

------------------------------------------------------------------------
----

  -- The document date (January 18, 2011) is 6 days in the past.  Is
this

     intentional?

[Rich - ignore this.]

------------------------------------------------------------------------
----

[Rich - please fix this. Since the problem statement is also going
through WGLC, let's coordinate this change. It may make sense to change
to version -03.]

*** AKBAR: Okay.  Currently these reference numbers are generated
automatically by the XML2RFC tool.  So we may have to manually change
the version of the reference if it is not in the IETF database at the
time. *****

------------------------------------------------------------------------
--------

-- Rich

From: Woundy, Richard 

Folks,

Haibin and I are starting the working group last call for
draft-ietf-decade-survey-03,
http://datatracker.ietf.org/doc/draft-ietf-decade-survey/, to be
completed by Monday February 14. Please send all concerns, suggestions
and comments about this internet-draft to the DECADE mailing list,
[email-masked].

Authors, please do not make any additional changes to the internet-draft
unless directed by the WG chairs.

Draft reviewers, it would be helpful to get your confirmation that your
previous review comments have been correctly reflected in this version.

Thanks.

-- Rich and Haibin

---

From: Benjamin Niven-Jenkins <[email-masked]>
Date: Sat, 29 Jan 2011 18:07:28 +0000

Akbar,

It was actually Richard's comment I really just chipped in with the RFC reference, but yes changing to www.example.com is an acceptable alternative.

Ben